OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ExternalIdentificationAssignment Class Reference

Representation of STEP entity ExternalIdentificationAssignment
.

`#include <StepBasic_ExternalIdentificationAssignment.hxx>`

Inheritance diagram for StepBasic_ExternalIdentificationAssignment:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_ExternalIdentificationAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aIdentificationAssignment_AssignedId, const Handle(StepBasic_IdentificationRole)&aIdentificationAssignment_Role, const Handle(StepBasic_ExternalSource)&aSource)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepBasic_ExternalSource | Source () const
| Returns field Source .
Standard_EXPORT void | SetSource (const Handle(StepBasic_ExternalSource)&Source)
| Set field Source .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_ExternalSource | theSource

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ExternalIdentificationAssignment::StepBasic_ExternalIdentificationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ExternalIdentificationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_IdentificationAssignment. Reimplemented in StepAP214_AppliedExternalIdentificationAssignment.

Standard_EXPORT void StepBasic_ExternalIdentificationAssignment::Init | ( | const Handle(TCollection_HAsciiString)& | aIdentificationAssignment_AssignedId,
|  | const Handle(StepBasic_IdentificationRole)& | aIdentificationAssignment_Role,
|  | const Handle(StepBasic_ExternalSource)& | aSource
| ) |

Standard_EXPORT void StepBasic_ExternalIdentificationAssignment::SetSource | ( | const Handle(StepBasic_ExternalSource)& | Source | ) |

Standard_EXPORT Handle_StepBasic_ExternalSource StepBasic_ExternalIdentificationAssignment::Source | ( |  | ) | const

## Field Documentation

Handle_StepBasic_ExternalSource StepBasic_ExternalIdentificationAssignment::theSource`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ExternalIdentificationAssignment.hxx